Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.container
Class AsfAspect

    java.lang.Object
      org.jboss.jms.client.container.AsfAspect

public class AsfAspect
extends java.lang.Object

An aspect that implements the Application Server Facilities for concurrent processing of a consumer's messages.

Author:

  Nested Class Summary
  `protected static class` | `AsfAspect.AsfMessageHolder`

  Field Summary
  `protected java.util.LinkedList` | `msgs`
  `protected MessageListener` | `sessionListener`
  `protected SessionState` | `state`

  Constructor Summary
  `AsfAspect()`

  Method Summary
  `java.lang.Object` | `handleAddAsfMessage(Invocation invocation)`
  `java.lang.Object` | `handleCreateConnectionConsumer(Invocation invocation)`
  `java.lang.Object` | `handleGetMessageListener(Invocation invocation)`
  `java.lang.Object` | `handleRun(Invocation invocation)`
  `java.lang.Object` | `handleSetMessageListener(Invocation invocation)`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Field Detail

  ### msgs

      protected java.util.LinkedList msgs

  ### sessionListener

      protected MessageListener sessionListener

  ### state

      protected SessionState state

  Constructor Detail

  ### AsfAspect

      public AsfAspect()

  Method Detail

  ### handleSetMessageListener

      public java.lang.Object handleSetMessageListener(Invocation invocation)
                                                throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleGetMessageListener

      public java.lang.Object handleGetMessageListener(Invocation invocation)
                                                throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleCreateConnectionConsumer

      public java.lang.Object handleCreateConnectionConsumer(Invocation invocation)
                                                      throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleAddAsfMessage

      public java.lang.Object handleAddAsfMessage(Invocation invocation)
                                           throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  ### handleRun

      public java.lang.Object handleRun(Invocation invocation)
                                 throws java.lang.Throwable

    Throws:
      `java.lang.Throwable`

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2006 JBoss Inc. All Rights Reserved.